4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.DomWriter

DOM DocumentFragment writer for XSLT output
Much inspired by RtfWriter.
Copyright (c) 2000-2001 Alexandre Fayolle (France).
Permission to use, copy, modify, and distribute this software and its
documentation for any purpose and without fee is hereby granted,
provided that the above copyright notice appear in all copies and that
both that copyright notice and this permission notice appear in
supporting documentation.
THIS PROGRAM IS PROVIDED "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED
OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

Classes: DomWriter |  |  |  | Fields: EMPTY_NAMESPACE, XMLNS_NAMESPACE, implementation

## Classes

class DomWriter(Ft.Xml.Xslt.NullWriter.NullWriter)

### Methods

__init__(self, ownerDoc=None, implementation=<DOMImplementation at 0x815d448>, outputParams=None)
Note: if no ownerDoc, there is no way to set the document's base URI.
attribute(self, name, value, namespace=None)
comment(self, text)
endElement(self, name, namespace=None)
getResult(self)
processingInstruction(self, target, data)
startElement(self, name, namespace=None, extraNss=None)
text(self, text, escapeOutput=True)
The escapeOutput parameter is ignored

### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

copyNodes, endDocument, getMediaType, getStream, namespace, startDocument

## Fields

EMPTY_NAMESPACE = None
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
implementation = <DOMImplementation>
The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.